HttpMessage::setHeaders
HttpMessage::setRequestMethod
HttpMessage
PHP Manual

# HttpMessage::setHttpVersion

(PECL pecl_http >= 0.10.0)

HttpMessage::setHttpVersion — Set HTTP version

### Description

public bool HttpMessage::setHttpVersion ( string `$version` )

Set the HTTP Protocol version of the Message.

### Parameters

`version`

  the HTTP protocol version

### Return Values

Returns `TRUE` on success, or `FALSE` if supplied version is out of range (1.0/1.1).

HttpMessage::setHeaders
HttpMessage::setRequestMethod
HttpMessage
PHP Manual